var doc=document,win=window,sById=(doc.getElementById)?true:false;
// popup
function openWindow(url,name,props){props=props.replace(/(resizable|scrollbars)\=no/g,'$1=yes');var nw=win.open(url,name,props);nw.focus();}
function MM_openBrWindow(url,name,props){openWindow(url,name,props);}
function openVideoWindow(url,name){openWindow(url,name,'width=750,height=550,resizable=yes,scrollbars=yes,toolbar=no,location=no,menubar=no,status=no');}
function closeWindow(){var pw=win.opener;if(pw)pw.focus();win.close();}
// generic image load - rollovers
function gloadImages(srcs,fu){if(sById){if(!win.gimgs){win.gimgs=new Array();}var g=win.gimgs;for(var i=0;i<srcs.length;i++){var img=new Image();var nsrc=(!fu)?imgurl+srcs[i]:srcs[i];img.src=nsrc;g[g.length++]=img;}}}
function changeImageOn(url,name,fu){if(sById){var i=doc.getElementById(name);if(i){i.oSrc=i.src;if(!fu)url=imgurl+url;i.src=url;}}}
function changeImageOff(name){if(sById){var i=doc.getElementById(name);if(i)i.src=i.oSrc;}}
function windowLoaded(){gloadImages(gimages);}
// unsupported
function unsupportedFeature(){document.writeln('<a href="http://www.boston.com/help/browser_upgrade/" class="bold" target="_new" style="text-decoration: underline;">Upgrade Your Browser:</a> A feature on this page is missing, as it is not supported by your browser.<br>Please <a href="http://www.boston.com/help/browser_upgrade/" style="text-decoration: underline;" target="_new">upgrade your browser</a> to improve your experience on Boston.com.');}
// world now video player defaults
function displayVideoHelp(){var videohelppage=window.open('http://www.boston.com/wn/VideoHelp.htm','CONTENT');}
function playVideoClip(){displayVideoHelp();}
function playVideoClips(){displayVideoHelp();}
function checkLaunchVideo(){}
// cookie functions
function setCookie(name,value,expires,path,domain,secure){document.cookie=name+'='+escape(value)+((expires)?';expires='+expires.toGMTString():'')+';path='+((path)?path:'/')+';domain='+((domain)?domain:'boston.com')+((secure)?';secure':'');}
function getCookie(name){var dc=document.cookie,prefix=name+'=',begin=dc.indexOf('; '+prefix);if(begin==-1){begin=dc.indexOf(prefix);if(begin!=0)return null;}else begin+=2;var end=dc.indexOf(';',begin);if(end==-1)end=dc.length;return unescape(dc.substring(begin+prefix.length,end));}
function expireCookie(name,path,domain){document.cookie=name+'=;expires=Thu, 01-Jan-70 00:00:01 GMT;path='+((path)?path:'/')+';domain='+((domain)?domain:'boston.com');}
// generic functions
function redirectSelectMenu(smenu){if(typeof(smenu)=='string'&&sById)smenu=doc.getElementById(smenu);if(smenu){var sval=smenu.options[smenu.selectedIndex].value;if(sval)document.location.href=sval;}}
// registration
function showLogin(twidth){
  if(!twidth)twidth=191;
  var cookie1=getCookie('pathAuth'),cookie2=getCookie('pathAuthSess');
  document.writeln('<table width="'+twidth+'" cellpadding="0" cellspacing="0" border="0" style="border-top: 1px solid #ffcc33; border-bottom: 1px solid #ffcc33;"><tr><td align="center" style="background: #f7efce url(\'http://cache.boston.com/bonzai-fba/File-Based_Image_Resource/spacer_f7efce.gif\') repeat;"><div style="font-family: arial,helvetica,sans-serif; font-size: 8pt; padding: 3px 0px;">');
  if(cookie1!=null||cookie2!=null){document.writeln('<span style="font-weight: bold; padding-right: 8px;"><a href="?__goto=mcenter" style="text-decoration: none; color: #000066;">Member Center</a></span> | <span style="padding-left: 8pt;"><a href="?__goto=logout" style="color: #000066;">Log Out</a></span>');}
  else{document.writeln('<span style="font-weight: bold; padding-right: 8px;"><a href="?__goto=loginonlypage" style="text-decoration: none; color: #000066;">Sign In</a></span> | <span style="padding-left: 8pt;"><a href="?__goto=loginpage" style="color: #000066;">Register Now</a></span>');}
  document.writeln('</div></td></tr></table>');
}
